<script setup lang="ts">
import { useReceiptStore } from '../stores/receipt'
import { useDate } from 'vuetify'

const receiptStore = useReceiptStore()

const toFormat = useDate()
</script>

<template>
  <v-dialog v-model="receiptStore.dialogReceiptView" width="500">
    <v-card>
      <v-card-text>
        <!-- {{ invoiceStore.receipt }} -->
        <v-sheet border="md" class="pa-6 text-white mx-auto" color="" max-width="auto">
          <v-container>
            <v-row no-gutters>
              <v-col></v-col>
              <v-col cols="7">
                <v-img src="src\assets\MainLogo.png" width="50"></v-img>
              </v-col>
              <v-col cols="12">
                <div style="text-align: center">
                  D-Coffee <br />
                  คณะสหเวชศาสตร์ มหาวิทยาลัยบูรพา <br />
                  ประเทศไทย จ.ชลบุรี 20130<br />
                  โทร 095 332 5290
                </div>
                <br />
              </v-col>
              <v-col cols="6">
                <p>TAX ID : {{ receiptStore.selectedReceipt?.id }}</p>
              </v-col>
              <!-- <v-col cols="4">
                <p>Queue : </p>
              </v-col> -->
              <v-col cols="6">
                <p>
                  DATE :
                  {{ toFormat.format(receiptStore.selectedReceipt?.createDate, 'shortDate') }}
                </p>
              </v-col>
              <v-col cols="4">
                <p>
                  TIME :
                  {{
                    receiptStore.selectedReceipt?.createDate.toLocaleTimeString('th-TH', {
                      hour12: false
                    })
                  }}
                </p>
              </v-col>
              <v-col cols="12">
                <p>ผู้ออกใบเสร็จ : {{ receiptStore.selectedReceipt?.user?.fullName }}</p>
              </v-col>
              <v-col cols="12"> -------------------------------------------------- </v-col>
              <!-- <v-col>
                <p>รายการ</p>
              </v-col>
              <v-col>
                <p>จำนวน</p>
              </v-col>
              <v-col>
                <p>ราคา (บาท)</p>
              </v-col> -->
              <v-col>
                <v-table>
                  <thead>
                    <tr>
                      <th>รายการ</th>
                      <th>จำนวน</th>
                      <th>ราคา (บาท)</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="item of receiptStore.selectedReceipt?.receiptItem" :key="item.id">
                      <td>{{ item.name }}</td>
                      <td>{{ item.unit }}</td>
                      <td>{{ item.price * item.unit }}</td>
                    </tr>
                  </tbody>
                </v-table>
              </v-col>
              <v-col cols="8">
                <p>รวม {{ receiptStore.selectedReceipt?.totalUnit }} รายการ</p>
              </v-col>
              <v-col cols="4">
                <P>{{ receiptStore.selectedReceipt?.totalBefore }} บาท</P>
              </v-col>
              <v-col cols="12"> -------------------------------------------------- </v-col>
              <v-col cols="12">
                <p v-if="receiptStore.selectedReceipt?.promotion">
                  โปรโมชัน : {{ receiptStore.selectedReceipt?.promotion?.name }}
                </p>
              </v-col>
              <v-col cols="12">
                <p v-if="receiptStore.selectedReceipt?.promotion">
                  ส่วนลด : {{ receiptStore.selectedReceipt?.discount }} บาท
                </p>
              </v-col>
              <v-col cols="12">
                <p>จำนวนเงินรวมทั้งสิ้น : {{ receiptStore.selectedReceipt?.netPrice }} บาท</p>
              </v-col>
              <v-col cols="12"> -------------------------------------------------- </v-col>
              <v-col cols="6">
                <p>วิธีการชำระเงิน : {{ receiptStore.selectedReceipt?.paymentType }}</p>
              </v-col>
              <v-col cols="4">
                <p>จำนวนเงิน : {{ receiptStore.selectedReceipt?.receivedAmount }}</p>
              </v-col>
              <v-col cols="6"></v-col>
              <v-col cols="4">
                <p>เงินทอน : {{ receiptStore.selectedReceipt?.change }}</p>
              </v-col>
              <v-col cols="12"> -------------------------------------------------- </v-col>
              <v-col v-if="receiptStore.selectedReceipt?.member">
                <p>
                  สมาชิก :
                  {{
                    receiptStore.selectedReceipt?.member?.fName +
                    ' ' +
                    receiptStore.selectedReceipt?.member?.lName
                  }}
                </p>
                <p>คุณได้รับ Point : {{ receiptStore.selectedReceipt?.givePoint }}</p>
                <p>Point สะสม : {{ receiptStore.selectedReceipt?.totalPoint }}</p>
              </v-col>
              <v-col cols="12"> -------------------------------------------------- </v-col>
              <v-col class="center">
                <p style="text-align: center">Thank you for shopping with us.</p>
              </v-col>
            </v-row>
          </v-container>
        </v-sheet>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.dialogReceiptView = false
              receiptStore.clearSelectedReceipt()
            }
          "
        >
          close
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
